import './assets/main.css';
import './assets/tailwind.css';

import { createApp } from 'vue';
import App from './App.vue';
import router from './router';
import { initializeTheme } from './plugins/switchTheme';
import './assets/my-web-component.es.js';

const app = createApp(App);
// 读取默认主题模式
const defaultThemeMode = import.meta.env.VITE_THEME_MODE || 'default';

// 初始化默认主题
initializeTheme(defaultThemeMode).then(() => {
  console.log(`Default theme initialized: ${defaultThemeMode}`);
});

app.use(router);

app.mount('#app');
